%define _prefix /scisoft

Name:           scisoft-specview
Version:        2.17.4
Release:        2%{?dist}
Summary:        Tool for 1-D spectral visualization and analysis of spectrograms.
Distribution:   Scisoft
Group:          Applications/Scientific
License:        Open Source BSD
Packager:       Carlos Guirao
URL:            http://www.stsci.edu/institute/software_hardware/specview
Source0:        specview.tar.gz

BuildArch:      noarch
Requires:       java

%description
Specview is a tool for 1-D spectral visualization and analysis of astronomical 
spectrograms. It is written in Java thus can be run anywhere Java is supported.
Specview is capable of reading all the Hubble Space Telescope spectral data 
formats, as well as data from several other instruments (such as IUE, FUSE, 
ISO, FORS and SDSS), preview spectra from MAST, and data from generic FITS 
and ASCII tables. It can also read data from Virtual Observatory servers, 
and read and write spectrogram data in Virtual Observatory SED format. 
It can also read files in the SPC Galactic format used in the chemistry field.

%prep

%build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_datadir}
tar xzf %{SOURCE0} -C %{buildroot}%{_datadir}
ln -s %{_datadir}/specview/Specview %{buildroot}%{_bindir}/Specview

%files
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Thu Mar 15 2018 Artur Szostak <aszostak@partner.eso.org> 2.17.4
- Incorporated into automated build system for Scisoft.
- Updated to use standard RPM path location macros.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
